{% extends 'base.html' %}
{% block title %}
Competency
{% endblock %}

{% block content %}
        <h1>Competency</h1>
            <div>
                <a class="link-button" href="{{ url_for('courseComp.edit_competency', competency_id=competency.competency_id) }}">Edit competency</a>
                <a class="link-button" href="{{ url_for('courseComp.delete_competency', competency_id=competency.competency_id) }}">Delete competency</a>
            </div>
            <div class='competency' id='{{ competency.competency_id }}'>
                <div class='competency_header'>
                    <div class="comp_id">{{ competency.competency_id }}</div>
                    <div class="comp_name">{{ competency.competency }}</div>
                    <div class="comp_type"> {{ competency.competency_type }}</div>
                </div>
                <div class='comp_achievement'>{{ competency.competency_achievement }}</div>
            </div>
        
        <div class='elements'>
        <h3>Elements</h3>
        <a class="link-button" href="{{ url_for('courseComp.add_competency_element', competency_id=competency.competency_id) }}">Add element</a>
            {% for elem in elements %}
                <div class="element" id="{{ elem.element_id }}">
                    <div class="element_header">{{ elem.element_order }}. {{ elem.element }}</div>
                    <div class="element_links">
                        <a href="{{ url_for('courseComp.edit_competency_element', competency_id=competency.competency_id, element_id=elem.element_id) }}" class="edit-element">Edit element</a>
                        <a href="{{ url_for('courseComp.delete_competency_element', competency_id=competency.competency_id, element_id=elem.element_id) }}" class="delete-element">Delete element</a>
                    </div>
                    {{ elem.element_criteria }}
                </div>
            {% endfor %}
        </div>

        <div class='relevant_courses'>
        <h3>Relevant Courses</h3>
            {% for course in relevant_courses %}
                <div class='course' id='{{ course.course_id }}'>
                    <div class='course_header'>
                        <div class='course_id'><a href="{{  url_for('courseComp.specific_course', course_id=course.course_id)  }}">{{ course.course_id }}</a></div>
                        <div class='course_name'>{{ course.course_name }}</div>
                        <div class='course_clh'>{{course.theory_hours}}-{{course.lab_hours}}-{{course.work_hours}}</div>
                        <div class='course_hrs'>{{course.course_hours}}</div>
                        <div class='course_term'>Term {{ course.term.term_id }}</div>
                        <div class='course_credits'>Credits: {{ course.course_credits }}</div>
                        <div class='course_domain'><a href="{{ url_for('courseComp.specific_domain', domain_id=course.domain.domain_id) }}">{{ course.domain.domain }}</a></div>
                    </div>
                    <div class='course_description'>{{ course.course_description }}</div>
                
                </div>
            {% endfor %}
        </div>

{% endblock %}